Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.axis
Class Deployment

    java.lang.Object
      org.apache.axis.deployment.wsdd.WSDDConstants
          org.apache.axis.deployment.wsdd.WSDDElement
              org.apache.axis.deployment.wsdd.WSDDDeployment
                  org.jboss.net.axis.Deployment

All Implemented Interfaces:
  org.apache.axis.EngineConfiguration, Serializable, org.apache.axis.WSDDEngineConfiguration, org.apache.axis.deployment.wsdd.WSDDTypeMappingContainer

public class Deployment
extends org.apache.axis.deployment.wsdd.WSDDDeployment

* This subclass represents a wsdd deployment * with scoped typemappings and service-specific * classloading features. It may also serve as a place to * statically register some other jboss-specific * implementation classes in the axis package. * *

* WSDDDeployment is used by Axis in two respects: Two parse a * deployment descriptor and to host the accumulated * configuration data. We use that circumstance to build up * an additional deployment scope in jboss.net - services are * registered in the central registry/engine but still pertain * their relation (especially wrt typemapping delegation) to their * original deployment. We do that by annotating the scope deployments * in the service options. * *

* This design is IMHO more clever and needs less * overhead than the original approach of mapping services to * classloaders. Furthermore, it allows us to introduce some JSR109 * related deployment concepts without global effect. * * * @author Christoph G. Jung * @version $Revision: 1.16.2.2 $ * @since 09.03.2002

See Also:
  Serialized Form

Field Summary
`protected ClassLoader` | `deploymentLoader` holds the classloader related to this deployment * which is the thread context classloader at creation time
`protected boolean` | `tmrCreated` whether our registry has already been built
`protected List` | `typeMappings` these are our local typemappings

Fields inherited from class org.apache.axis.deployment.wsdd.WSDDConstants
`ATTR_ATTACHMENT_FORMAT, ATTR_CLASS, ATTR_CLASSNAME, ATTR_DESERIALIZER, ATTR_ENCSTYLE, ATTR_INHEADER, ATTR_LANG_SPEC_TYPE, ATTR_LOCKED, ATTR_MODE, ATTR_NAME, ATTR_ONEWAY, ATTR_OUTHEADER, ATTR_PIVOT, ATTR_PROVIDER, ATTR_QNAME, ATTR_RETHEADER, ATTR_RETQNAME, ATTR_RETTYPE, ATTR_SERIALIZER, ATTR_SOAPACTORNAME, ATTR_STREAMING, ATTR_STYLE, ATTR_TYPE, ATTR_USE, ATTR_VALUE, BEAN_DESERIALIZER_FACTORY, BEAN_SERIALIZER_FACTORY, ELEM_WSDD_BEANMAPPING, ELEM_WSDD_CHAIN, ELEM_WSDD_DEPLOY, ELEM_WSDD_DOC, ELEM_WSDD_ELEMENTMAPPING, ELEM_WSDD_ENDPOINTURL, ELEM_WSDD_FAULT, ELEM_WSDD_FAULTFLOW, ELEM_WSDD_GLOBAL, ELEM_WSDD_HANDLER, ELEM_WSDD_JAXRPC_CHAIN, ELEM_WSDD_JAXRPC_HANDLERINFO, ELEM_WSDD_JAXRPC_HEADER, ELEM_WSDD_JAXRPC_ROLE, ELEM_WSDD_NAMESPACE, ELEM_WSDD_OPERATION, ELEM_WSDD_PARAM, ELEM_WSDD_REQFLOW, ELEM_WSDD_RESPFLOW, ELEM_WSDD_SERVICE, ELEM_WSDD_TRANSPORT, ELEM_WSDD_TYPEMAPPING, ELEM_WSDD_UNDEPLOY, ELEM_WSDD_WSDLFILE, NS_PREFIX_WSDD, NS_PREFIX_WSDD_JAVA, PROVIDER_BSF, PROVIDER_COM, PROVIDER_CORBA, PROVIDER_EJB, PROVIDER_HANDLER, PROVIDER_MSG, PROVIDER_RMI, PROVIDER_RPC, QNAME_BEANMAPPING, QNAME_BSF_PROVIDER, QNAME_CHAIN, QNAME_COM_PROVIDER, QNAME_CORBA_PROVIDER, QNAME_DEPLOY, QNAME_DOC, QNAME_EJB_PROVIDER, QNAME_ELEMENTMAPPING, QNAME_ENDPOINTURL, QNAME_FAULT, QNAME_FAULTFLOW, QNAME_GLOBAL, QNAME_HANDLER, QNAME_HANDLER_PROVIDER, QNAME_JAVAMSG_PROVIDER, QNAME_JAVARPC_PROVIDER, QNAME_JAXRPC_HANDLERINFO, QNAME_JAXRPC_HANDLERINFOCHAIN, QNAME_JAXRPC_HEADER, QNAME_JAXRPC_ROLE, QNAME_NAMESPACE, QNAME_OPERATION, QNAME_PARAM, QNAME_REQFLOW, QNAME_RESPFLOW, QNAME_RMI_PROVIDER, QNAME_SERVICE, QNAME_TRANSPORT, QNAME_TYPEMAPPING, QNAME_UNDEPLOY, QNAME_WSDLFILE, URI_WSDD, URI_WSDD_HANDLER, URI_WSDD_JAVA, URI_WSDD_WSDD_BSF, URI_WSDD_WSDD_COM`

Fields inherited from interface org.apache.axis.EngineConfiguration
`PROPERTY_NAME`

Constructor Summary
`protected` | `Deployment(Element e, ClassLoader loader)` Constructor for Deployment.

Method Summary
`void` | `deployService(org.apache.axis.deployment.wsdd.WSDDService service)`
`void` | `deployToRegistry(org.apache.axis.deployment.wsdd.WSDDDeployment arg0)`
`void` | `deployTypeMapping(org.apache.axis.deployment.wsdd.WSDDTypeMapping typeMapping)` overwrite to equip with options
`Iterator` | `getDeployedServices()`
`protected static Deployment` | `getDeployment(org.apache.axis.deployment.wsdd.WSDDService service)` return the scoped deployment for this service
`protected ClassLoader` | `getDeploymentLoader()` return the deployment loader of this deployment
`org.apache.axis.handlers.soap.SOAPService` | `getService(javax.xml.namespace.QName serviceName)`
`org.apache.axis.handlers.soap.SOAPService` | `getServiceByNamespaceURI(String arg0)`
`org.apache.axis.encoding.TypeMappingRegistry` | `getTypeMappingRegistry()`
`protected void` | `installTypeMappingWithOptions(TypeMapping nextMapping)` this helper serves to install typemappings with additional options
`static Deployment` | `makeSafeDeployment(Element e, ClassLoader loader)` the safe "constructor"

Methods inherited from class org.apache.axis.deployment.wsdd.WSDDDeployment
`addHandler, addService, addTransport, configureEngine, deployHandler, deployTransport, getDeployment, getElementName, getEngine, getGlobalConfiguration, getGlobalOptions, getGlobalRequest, getGlobalResponse, getHandler, getServices, getTransport, getTypeMapping, getTypeMappings, getWSDDService, registerNamespaceForService, removeNamespaceMapping, setGlobalConfiguration, undeployHandler, undeployService, undeployTransport, writeEngineConfig, writeToContext`

Methods inherited from class org.apache.axis.deployment.wsdd.WSDDElement
`getChildElement, getChildElements, getDocumentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### deploymentLoader

    protected ClassLoader deploymentLoader

  holds the classloader related to this deployment * which is the thread context classloader at creation time

### typeMappings

    protected List typeMappings

  these are our local typemappings

### tmrCreated

    protected boolean tmrCreated

  whether our registry has already been built

Constructor Detail

### Deployment

    protected Deployment(Element e,
                         ClassLoader loader)
                  throws org.apache.axis.deployment.wsdd.WSDDException

  Constructor for Deployment. Is used with server-config.wsdd * in order to build the engine configuration. Is used with * actual deployment documents to build scoped deployments. * After calling the super constructor, we rebuild the typemappings * with our typemapping implementation that may contain additional * typemapping options. Unfortunately, you will have to do an * enclosing Thread.currentThread().setContextClassLoader(loader) * because of the f**cked constructor functionality of the super class. * Its a 1st grade Java rule, guys! So rather use the static factory method.

Method Detail

### makeSafeDeployment

    public static Deployment makeSafeDeployment(Element e,
                                                ClassLoader loader)
                                         throws org.apache.axis.deployment.wsdd.WSDDException

  the safe "constructor"

  Throws:
    `org.apache.axis.deployment.wsdd.WSDDException`

### getDeploymentLoader

    protected ClassLoader getDeploymentLoader()

  return the deployment loader of this deployment

### getDeployment

    protected static Deployment getDeployment(org.apache.axis.deployment.wsdd.WSDDService service)

  return the scoped deployment for this service

### deployService

    public void deployService(org.apache.axis.deployment.wsdd.WSDDService service)

### deployTypeMapping

    public void deployTypeMapping(org.apache.axis.deployment.wsdd.WSDDTypeMapping typeMapping)
                           throws org.apache.axis.deployment.wsdd.WSDDException

  overwrite to equip with options

  Throws:
    `org.apache.axis.deployment.wsdd.WSDDException`

### getDeployedServices

    public Iterator getDeployedServices()
                                 throws org.apache.axis.ConfigurationException

  Throws:
    `org.apache.axis.ConfigurationException`

### getService

    public org.apache.axis.handlers.soap.SOAPService getService(javax.xml.namespace.QName serviceName)
                                                         throws org.apache.axis.ConfigurationException

  Throws:
    `org.apache.axis.ConfigurationException`

### getServiceByNamespaceURI

    public org.apache.axis.handlers.soap.SOAPService getServiceByNamespaceURI(String arg0)
                                                                       throws org.apache.axis.ConfigurationException

  Throws:
    `org.apache.axis.ConfigurationException`

### deployToRegistry

    public void deployToRegistry(org.apache.axis.deployment.wsdd.WSDDDeployment arg0)
                          throws org.apache.axis.ConfigurationException

  Throws:
    `org.apache.axis.ConfigurationException`

### getTypeMappingRegistry

    public org.apache.axis.encoding.TypeMappingRegistry getTypeMappingRegistry()
                                                                        throws org.apache.axis.ConfigurationException

  Throws:
    `org.apache.axis.ConfigurationException`

### installTypeMappingWithOptions

    protected void installTypeMappingWithOptions(TypeMapping nextMapping)
                                          throws org.apache.axis.ConfigurationException

  this helper serves to install typemappings with additional options

  Throws:
    `org.apache.axis.ConfigurationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.